<!DOCTYPE html>
<html lang="es-Cl">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mis Perris</title>
  {% load static %}
  <link rel="stylesheet" href="{% static 'https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css' %}"
    integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/estilo.css' %}" type="text/css">
  <link rel="shortcut icon" type="image/png" href="registro/favicon.png">

</head>

<body>
  <!--Barra de navegacion principal-->
  <nav class="navbar navbar-expand-lg navbar-light" style="background-color: 	#89D9BC">
    <img class="img-fluid espaciado-logo" src="{% static '/img/misperris/logo.png' %}" alt="logo" width="250px">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item active">
          <a class="nav-link color-boton centrar-texto espaciado-navBar" style="color: white" href="#">Inicio</a>
        </li>
        <li class="nav-item">
          <a class="nav-link color-boton centrar-texto espaciado-navBar" style="color: white" href="#">Quienes Somos</a>
        </li>
        <li class="nav-item">
          <a class="nav-link color-boton centrar-texto espaciado-navBar" style="color: white" href="#">Servicios</a>
        </li>
        <li class="nav-item">
          <a class="nav-link color-boton centrar-texto espaciado-navBars" style="color: white" href="#">Contactenos</a>
        </li>
      </ul>
    </div>

    <!--Sesion de usuario-->

    <span class="navbar-text user-menu-title">
        {% if user.is_authenticated %}
        <div class="dropdown">
          <a class="nav-link dropdown-toggle username" style="color: white" href="#" id="navbarDropdownMenuLink" role="button"
            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Bienvenid@ {{user}}
          </a>
          <div class="dropdown-menu dropdown-user-style" aria-labelledby="navbarDropdownMenuLink">
            <a class="nav-link dropdown-item" href="{% url 'userLogout' %}">Cerrar sesión</a>
          </div>
        </div>
        {% else %}
        <a class="btn btn-outline-light" style="color: white" href="{% url 'login' %}">
          Inicar Sesión
        </a>
        {% endif %}
      </span>
  </nav>

  <!--Perros-->

  <div class="container-fluid">
    <div class="container container-rescued-style">
      <h4>Rescatados</h4>
      <div class="row row-rescued-title">
        <div class="col-md-1 col-rescued-style">
          Id
        </div>
        <div class="col-md-2 col-rescued-style">
          Foto
        </div>
        <div class="col-md-2 col-rescued-style">
          Nombre
        </div>
        <div class="col-md-2 col-rescued-style">
          Raza
        </div>
        <div class="col-md-2 col-rescued-style">
          Descripción
        </div>
        <div class="col-md-1 col-rescued-style">
          Estado
        </div>
        <div class="col-md-2 col-rescued-style">
          Acciones
        </div>
        <div class="col-md-3 col-rescued-style">
          Descripción
        </div>
        <div class="col-md-2 col-rescued-style">
          Estado
        </div>
      </div>
      {% for p in perro %}
      <div class="row row-rescued-style">
        <div class="col-md-1 col-rescued-style">
          {{p.id}}
        </div>
        <div class="col-md-2">
          <img src="/media/{{p.foto}}" alt="error-res-foto" class="perros-img">
        </div>
        <div class="col-md-2 col-rescued-style">
          {{p.nombre}}
        </div>
        <div class="col-md-2 col-rescued-style">
          {{p.raza}}
        </div>
        <div class="col-md-2 col-rescued-style rescued-description">
          {{p.descripcion}}
        </div>
        <div class="col-md-1 col-rescued-style">
          {{p.estado}}
        </div>
        <div class="col-md-1 col-rescued-style">
          <a href="#editar">Editar</a>
        </div>
        <div class="col-md-1 col-rescued-style">
          <a href="eliminarPerro/{{p.id}}">Eliminar</a>
        </div>
      </div>
      {% ifequal p.estado "Disponible" %}
      <div class="row row-rescued-style">
        <div class="col-md-1 col-rescued-style">
          {{r.id}}
        </div>
        <div class="col-md-2">
          <img src="/media/{{r.foto}}" alt="error-res-foto" class="perros-img">
        </div>
        <div class="col-md-2 col-rescued-style">
          {{r.nombre}}
        </div>
        <div class="col-md-2 col-rescued-style">
          {{r.raza}}
        </div>
        <div class="col-md-3 col-rescued-style rescued-description">
          {{r.descripcion}}
        </div>
        <div class="col-md-2 col-rescued-style">
          {{r.estado}}
        </div>
      </div>
      {% endifequal %}
      {% endfor %}
    </div>
  </div>

  <!--Registro de perros-->
  <div class="container-fluid" id="editar">
    <div class="container">
      <form action="{% url 'registroPerro' %}" id="formulary-rescued" method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <h4 class="form-title form-rescued-title">Mantenedor de perros</h4>
        <div class="row">
          <input type="hidden" name="id" id="id">
          <div class="col-md-4">
            <div class="form-group">
              <label for="nombre">Nombre</label>
              <input required class="form-control" type="text" name="nombre" id="nombre">
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label for="raza">Raza</label>
              <input required class="form-control" type="text" name="raza" id="raza">
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label for="foto">Foto</label>
              <input required type="file" name="foto">
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-8">
            <div class="form-group">
              <label for="descripcion">Descripción</label>
              <textarea required class="form-control" name="descripcion" id="descripcion" cols="10" rows="5"></textarea>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label for="estado">Estado</label>
              <select name="estado" id="estado" class="form-control">
                <option hidden value="default">Seleccione estado</option>
              </select>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <button class="btn btn-danger btn-block" type="reset">Limpiar</button>
          </div>
          <div class="col-md-6">
            <input type="submit" class="btn btn-success btn-block " value="Guardar">
          </div>
        </div>
      </form>
    </div>
  </div>




  <!--Scripts js-->

  <script src="{% static '/js/jquery-3.3.1.js' %}"></script>
  <script src="{% static '/js/jquery.validate.js' %}"></script>
  <script src="{% static '/js/additional-methods.js' %}"></script>
  <script src="{% static '/js/jquery.rut.js' %}"></script>
  <script src="{% static '/js/bootstrap.js' %}"></script>
  <script src="{% static '/js/app.js' %}"></script>
</body>

<!--Footer-->

<footer>
  <div class="container-fluid footer-pad" style="background-color: #EDEDED">
    <p>Desarrollo Web y Mobile</p>
  </div>
</footer>

</html>